/*
 * Copyright (c) 2015. Ncomz. All Rights Reserved
 */

apply plugin: 'com.android.application'

android {
    compileSdkVersion 23
    buildToolsVersion '23.0.3'

    defaultConfig {
        applicationId "com.ntels.kneet.v3"
        minSdkVersion 15
        targetSdkVersion 22
        multiDexEnabled true
        versionCode 9
        versionName "0.1.3"
    }

    /*productFlavors {
        dev {
            minSdkVersion 21
        }

        prod {
            minSdkVersion 15
        }
    }*/

    task clean(type: Delete) {
        delete "$rootProject/kneet_v3/build/intermediates/exploded-aar"
    }

    dexOptions {
        //preDexLibraries = false
        jumboMode = true
        maxProcessCount 4
        javaMaxHeapSize "2g"
//    incremental true
    }

    applicationVariants.all { variant ->
        variant.outputs.each { output ->
            if ("${variant.buildType.name}" != "debug") {
                def formattedDate = new Date().format("yyyyMMdd_HHmmss")
                def apkName = "Kneet3.0_v" + variant.versionName + "_" + formattedDate + "_Release.apk"
                output.outputFile = new File(output.outputFile.parent, apkName)
            } /*else {
                def formattedDate = new Date().format("yyyyMMdd_HHmmss")
                def apkName = "Kneet3.0_v" + variant.versionName + "_" + formattedDate + "_Debug.apk"
                output.outputFile = new File(output.outputFile.parent, apkName)
            }*/
        }
    }

    signingConfigs {
        release {
            storeFile file("../kneet_v2.jks")
            storePassword "ntels@kneet"
            keyAlias "kneet_v2"
            keyPassword "ntels@kneet"
        }
    }

    buildTypes {
        debug {
            debuggable true
//            minifyEnabled true
//            proguardFiles 'proguard-rules.pro'
        }
        release {
            signingConfig signingConfigs.release
            debuggable false
            minifyEnabled true
            proguardFiles 'proguard-rules.pro'
//            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    packagingOptions {
        exclude 'META-INF/DEPENDENCIES'
        exclude 'META-INF/dependencies'
        exclude 'META-INF/DEPENDENCIES.txt'
        exclude 'META-INF/dependencies.txt'
        exclude 'META-INF/LICENSE'
        exclude 'META-INF/license'
        exclude 'META-INF/license.txt'
        exclude 'META-INF/LICENSE.txt'
        exclude 'META-INF/NOTICE'
        exclude 'META-INF/notice'
        exclude 'META-INF/NOTICE.txt'
        exclude 'META-INF/notice.txt'
        exclude 'META-INF/ASL2.0'
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile 'com.android.support:multidex:1.0.1'
    compile 'com.android.support:support-v4:23.4.0'
    compile 'com.android.support:appcompat-v7:23.4.0'
    compile 'com.android.support:recyclerview-v7:23.4.0'
    compile 'com.android.support:gridlayout-v7:23.4.0'
    compile 'jp.wasabeef:recyclerview-animators:2.1.0'
    compile 'com.google.android.gms:play-services-gcm:8.4.0'
    compile 'com.google.android.gms:play-services-analytics:8.4.0'
    compile 'org.codehaus.jackson:jackson-core-asl:1.9.13'
    compile 'org.codehaus.jackson:jackson-mapper-asl:1.9.13'
    compile 'com.squareup.picasso:picasso:2.5.2'
    compile 'com.tsengvn:Typekit:1.0.0'
    compile 'com.koushikdutta.async:androidasync:2.+'
    compile 'com.mcxiaoke.volley:library:1.0.+'
    compile project(':color_picker')
}
